layers(7).
width(0,8).
in_layer(0,n1).
in_layer(0,n2).
in_layer(0,n3).
in_layer(0,n4).
in_layer(0,n5).
in_layer(0,n6).
in_layer(0,n7).
in_layer(0,n8).
width(1,8).
in_layer(1,n9).
in_layer(1,n10).
in_layer(1,n11).
in_layer(1,n12).
in_layer(1,n13).
in_layer(1,n14).
in_layer(1,n15).
in_layer(1,n16).
width(2,8).
in_layer(2,n17).
in_layer(2,n18).
in_layer(2,n19).
in_layer(2,n20).
in_layer(2,n21).
in_layer(2,n22).
in_layer(2,n23).
in_layer(2,n24).
width(3,8).
in_layer(3,n25).
in_layer(3,n26).
in_layer(3,n27).
in_layer(3,n28).
in_layer(3,n29).
in_layer(3,n30).
in_layer(3,n31).
in_layer(3,n32).
width(4,8).
in_layer(4,n33).
in_layer(4,n34).
in_layer(4,n35).
in_layer(4,n36).
in_layer(4,n37).
in_layer(4,n38).
in_layer(4,n39).
in_layer(4,n40).
width(5,8).
in_layer(5,n41).
in_layer(5,n42).
in_layer(5,n43).
in_layer(5,n44).
in_layer(5,n45).
in_layer(5,n46).
in_layer(5,n47).
in_layer(5,n48).
width(6,8).
in_layer(6,n49).
in_layer(6,n50).
in_layer(6,n51).
in_layer(6,n52).
in_layer(6,n53).
in_layer(6,n54).
in_layer(6,n55).
in_layer(6,n56).
edge(n3,n13).
edge(n8,n9).
edge(n11,n24).
edge(n24,n27).
edge(n12,n22).
edge(n21,n26).
edge(n17,n31).
edge(n22,n25).
edge(n41,n56).
edge(n23,n26).
edge(n39,n42).
edge(n1,n12).
edge(n21,n31).
edge(n5,n12).
edge(n35,n48).
edge(n18,n31).
edge(n43,n49).
edge(n17,n26).
edge(n14,n21).
edge(n12,n24).
edge(n10,n21).
edge(n33,n47).
edge(n41,n51).
edge(n37,n47).
edge(n36,n43).
edge(n11,n23).
edge(n8,n13).
edge(n2,n12).
edge(n34,n44).
edge(n6,n10).
edge(n7,n10).
edge(n2,n16).
edge(n15,n22).
edge(n33,n44).
edge(n40,n42).
edge(n31,n36).
edge(n20,n25).
edge(n19,n27).
edge(n31,n34).
edge(n5,n15).
edge(n47,n51).
edge(n40,n48).
edge(n23,n29).
edge(n35,n44).
edge(n16,n21).
edge(n33,n43).
edge(n15,n19).
edge(n42,n56).
edge(n30,n38).
edge(n21,n25).
edge(n25,n33).
edge(n40,n43).
edge(n12,n18).
edge(n26,n33).
edge(n19,n26).
edge(n48,n49).
edge(n4,n16).
edge(n40,n47).
edge(n7,n11).
edge(n37,n48).
edge(n2,n15).
edge(n28,n38).
edge(n7,n9).
edge(n26,n35).
edge(n23,n28).
edge(n1,n14).
edge(n20,n31).
edge(n29,n33).
edge(n42,n55).
edge(n22,n30).
edge(n2,n10).
edge(n27,n35).
edge(n26,n40).
edge(n11,n20).
edge(n42,n53).
edge(n5,n9).
